Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps
Class ServerBusyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.ogcbase.OGCException
                  org.deegree.ogcwebservices.OGCWebServiceException
                      org.deegree.ogcwebservices.wps.ServerBusyException

All Implemented Interfaces:
  Serializable

    public class ServerBusyException

extends OGCWebServiceException

ServerBusyException.java Created on 29.03.2006. 09:57:59h The server is too busy to accept and queue the request at this time. Locator: None, omit �locator� parameter

Since:
  2.0
Version:
  1.0.
Author:
  Christian Kiehle, Christian Heier
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcbase.OGCException
`code`

Constructor Summary
`ServerBusyException(String message)`
`ServerBusyException(String locator, String message)`
`ServerBusyException(String locator, String message, ExceptionCode code)`

Method Summary

Methods inherited from class org.deegree.ogcwebservices.OGCWebServiceException
`create, create, getLocator, setLocator`

Methods inherited from class org.deegree.ogcbase.OGCException
`getCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerBusyException

    public ServerBusyException(String message)

Parameters:
  `message` -

### ServerBusyException

    public ServerBusyException(String locator,
                               String message)

Parameters:
  `locator` -
  `message` -

### ServerBusyException

    public ServerBusyException(String locator,
                               String message,
                               ExceptionCode code)

Parameters:
  `locator` -
  `message` -
  `code` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org